# https://pypi.python.org/packages/25/2b/6beed2107b148edc1321da0d489afc4617b9ed317ef7b72d4993cad9b684/Whoosh-2.7.4.tar.gz
%define module whoosh

Name:           python-%{module}
Version:        2.7.4
Release:        %mkrel 1
Summary:        Fast, pure-Python full text indexing, search, and spell checking library

Group:          Development/Python
License:        BSD
URL:            http://bitbucket.org/mchaput/whoosh/wiki/Home
Source0:        Whoosh-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Group:          Development/Python
Summary:        Typing defines a standard notation for type annotations
Provides:       %{module} = %{version}-%{release}

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn Whoosh-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc {LICENSE,README}.txt PKG-INFO
%{python_sitelib}/*

%files -n python3-%{module}
%doc {LICENSE,README}.txt PKG-INFO
%{python3_sitelib}/*

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 2.7.4-1uplos2018
- imported for uplos
